Name:           perl-Lingua-EN-Sentence
Version:        0.29
Release:        1%{?dist}
Summary:        Module for splitting text into sentences
# "same as perl", cf. lib/Lingua/EN/Sentence.pm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Lingua-EN-Sentence/
Source0:        http://www.cpan.org/authors/id/K/KI/KIMRYAN/Lingua-EN-Sentence-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(locale)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Lingua::EN::Sentence module contains the function get_sentences, which
splits text into its constituent sentences, based on a regular expression
and a list of abbreviations (built in and given).

%prep
%setup -q -n Lingua-EN-Sentence-%{version}
iconv -f ISO-8859-1 -t utf-8 Changes > Changes~
mv Changes~ Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun 14 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.29-1
- Upstream update.

* Mon Mar 16 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.27-1
- Upstream update.
- Reflect Source0: having changed.
- Add BR: perl(Test::More).

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.25-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 17 2014 Ralf Corsépius <corsepiu@fedoraproject.org> 0.25-1
- Specfile autogenerated by cpanspec 1.78.
